//// Serial порт - обмен HC05
//
///////////////**************************************************

void serialEvent() {
  while (Serial.available()) {
    // get the new byte:
    char inChar = (char)Serial.read();
    // add it to the inputString:
    inputString += inChar;
    // if the incoming character is a newline, set a flag so the main loop can
    // do something about it:
    if (inChar == '$') {
      stringComplete = true;
    }
  }
}
// парсинг данных из HC05
boolean parseHC05() {
  int s1,s2;
  int i;

  int length1=inputString.length();
  // обнуление предыдущих данных
  //for(int i=1;i<4;i++){
  //   inHC05data[i]=0;
  //}
  // проверка начала 
  if(inputString.charAt(0)!='@') {
    return false;
  }
  // получение параметров
  s1=1;
  for(int j=0;j<2;j++) {
     
     for(i=s1;i<length1;i++) {
       if(inputString.charAt(i)=='=' || inputString.charAt(i)=='$')
          {break;}
     }
     s2=i;
     inHC05data[j]=inputString.substring(s1,s2).toInt();
     s1=s2+1;
  }  
  //
  // 
  //Serial.print("data[]=");
  //for(int i=0;i<4;i++) {
  //   Serial.print(inHC05data[i]);
  //   Serial.print(" ");
  //}
  //Serial.println();
  
  return true;
}    

// установка параметров из данных HC05
void setParam(int num,int value) {
  String str="";
   switch(num) {
      case 1:
         platform.dir=value;
         if(platform.dir==0)
            motor.stop();
         else
            setSpeedMotor(platform.speedMotor, platform.dir);
         break;
      case 2:
         platform.speedMotor=value;
         if(platform.dir==0)
            motor.stop();
         else
            setSpeedMotor(platform.speedMotor, platform.dir);
         break;
      case 3:
         platform.numLight=value;
         break;
      case 4:
         platform.color=value;
         break;
      case 5:
         platform.bright=value;
         break;
      case 9:
         platform.pause=value;
         break;
      case 11:
         str="@1="+String(platform.dir)+"$";
         sendData(str);
         break;
      case 12:
         str="@2="+String(platform.speedMotor)+"$";
         sendData(str);
         break;
      case 13:
         str="@3="+String(platform.numLight)+"$";
         sendData(str);
         break;
      case 14:
         str="@4="+String(platform.color)+"$";
         sendData(str);
         break;
      case 15:
         str="@5="+String(platform.bright)+"$";
         sendData(str);
         break;
      case 19:
         str="@9="+String(platform.pause)+"$";
         sendData(str);
         break;
      default:
         break;
   }
}

// отправка данных в HC05
void sendData(String str) {
   Serial.print(str);
}

